### Method

# Camel Service disconnect_sync

since: 3.6

#### Declaration [src]

    gboolean
    camel_service_disconnect_sync (
      CamelService* service,
      gboolean clean,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Disconnect from the service. If `clean` is `FALSE`, it should not try to do any synchronizing or other cleanup of the connection.

If a disconnect operation is already in progress when this function is called, its results will be reflected in this disconnect operation.

If any connect operations are in progress when this function is called, they will be cancelled.

Available since: 3.6

#### Parameters

`clean`

  Type: `gboolean`

  Whether or not to try to disconnect cleanly.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the connection was severed or `FALSE` otherwise.